com.taosdata.jdbc.ws

## Class Transport

- java.lang.Object
- - com.taosdata.jdbc.ws.Transport

All Implemented Interfaces:
  AutoCloseable

    public class Transport
    extends Object
    implements AutoCloseable

send message

### Field Summary

Fields
`static int` `DEFAULT_MAX_REQUEST`
`static int` `DEFAULT_MESSAGE_WAIT_TIMEOUT`

### Constructor Summary

Constructors
Constructor and Description
`Transport(WSClient client, InFlightRequest inFlightRequest)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `isClosed()`
`CompletableFuture<Response>` `send(Request request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_MAX_REQUEST

    public static final int DEFAULT_MAX_REQUEST

See Also:
  Constant Field Values

#### DEFAULT_MESSAGE_WAIT_TIMEOUT

    public static final int DEFAULT_MESSAGE_WAIT_TIMEOUT

See Also:
  Constant Field Values

### Constructor Detail

#### Transport

    public Transport(WSClient client,
                     InFlightRequest inFlightRequest)

### Method Detail

#### send

    public CompletableFuture<Response> send(Request request)

#### isClosed

    public boolean isClosed()
                     throws SQLException

Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `SQLException`